Name:           unhide
Version:        1.0
Release:        11%{?dist}.20121229
Summary:        Tool to find hidden processes and TCP/UDP ports from rootkits

Group:          Applications/System
License:        GPLv3
URL:            http://www.unhide-forensics.info/
Source0:        http://downloads.sourceforge.net/project/unhide/unhide/unhide-20121229.tgz
%if 0%{?rhel} < 6
Patch0:		unhide-el5-compat.patch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Unhide is a forensic tool to find processes and TCP/UDP ports hidden by
rootkits, Linux kernel modules or by other techniques. It includes two
utilities: unhide and unhide-tcp.

Unhide detects hidden processes using three techniques:

 - comparing the output of /proc and /bin/ps
 - comparing the information gathered from /bin/ps with the one gathered
   from system calls (syscall scanning)
 - full scan of the process ID space (PIDs bruteforcing)

unhide-tcp identifies TCP/UDP ports that are listening but are not listed
in /bin/netstat through brute forcing of all TCP/UDP ports available.


%prep
%setup -q -n %{name}-20121229
chmod -x sanity*.sh
%if 0%{?rhel} < 6
%patch0 -p1 -b .unhide-el5-compat
%endif

%build
%{__cc} %{optflags} -lpthread unhide-linux*.c unhide-output.c -o unhide
%{__cc} %{optflags} unhide-tcp.c unhide-tcp-fast.c unhide-output.c -o unhide-tcp
%{__cc} %{optflags} unhide_rb.c -o unhide_rb


%install
install -Dp -m0755 unhide %{buildroot}%{_sbindir}/unhide
install -Dp -m0755 unhide-tcp %{buildroot}%{_sbindir}/unhide-tcp
install -Dp -m0755 unhide_rb %{buildroot}%{_sbindir}/unhide_rb

install -Dp -m0644 man/unhide.8 %{buildroot}%{_mandir}/man8/unhide.8
install -Dp -m0644 man/unhide-tcp.8 %{buildroot}%{_mandir}/man8/unhide-tcp.8

%files
%doc COPYING changelog README.txt NEWS sanity.sh sanity-tcp.sh
%doc %{_mandir}/man8/unhide.8*
%doc %{_mandir}/man8/unhide-tcp.8*
%{_sbindir}/unhide
%{_sbindir}/unhide-tcp
%{_sbindir}/unhide_rb

%changelog
* Fri Nov 01 2013 John R. Dennison <jrd@gerdesas.com> - 1.0-11.20121229
- rebuilt

* Fri Aug 23 2013 John R. Dennison <jrd@ghettoforge.org> - 1.0-10.20121229
- Added EL5 compatibility patch so it builds under EL5 properly

* Fri Jul 26 2013 Parag <paragn AT fedoraproject DOT org> - 1.0-10.20121229
- Update to new version

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9.20100201
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8.20100201
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7.20100201
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6.20100201
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> 1.0-5.20100201
- Updated to 20100201

* Fri Dec 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0-5.20090810
- Updated to 20090810

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4.20080519
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3.20080519
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0-2
- clarified from upstream about license - fixed.

* Sat Dec 06 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.0-1
- Fixed %%Version and %%Release fields.

* Fri Nov 07 2008 Rakesh Pandit <rakesh@fedoraproject.org> 20080519-2
- Clear %%install, consistency of macro use

* Tue Nov 04 2008 Rakesh Pandit <rakesh@fedoraproject.org> 20080519-1
- Initial package
